"""
	Programmer:	Keith G. Nemitz
	E-mail:		future@mousechief.com

	Copyright 2004 Keith G. Nemitz

	Version 1.2 Release
"""
#Main contains the setup and exit code for the game.


"""main module, starts game and main loop"""

import sys
import os
import pygame
from pygame.rect import Rect
import gfx, snd    #, mouse   //was input
#import allmodules
import faceEngn
from fnfFont import fonts

from startupFaces import InitFirstFace
from firstGameFace import InitFirstGameFace


#at this point, all needed pygame modules should
#be imported, so they can be initialized at the
#start of main()

global gameclock, gameclockticks, gamehandler
clock = None
clockticks = 1
#current gamehandler class instance
#this should be set by function creating new handler
handler = None


def main(args):
    try:
        gamemain(args)
    except KeyboardInterrupt:
        print 'Keyboard Interrupt (Control-C)...'
        print 'Exiting'


def gamemain(args):
    #make sure we're in the correct directory
    fullpath = os.path.abspath(sys.argv[0])
    dir = os.path.split(fullpath)[0]
    #change the directory to this file
    os.chdir(dir)
    #print dir;

    #add our code to the python path    
    ###IMPORTANT### sys.path.insert(0, 'code')


    #initialize all our code (not load resources)
    pygame.init()
    gameclock = pygame.time.Clock()

    pygame.mouse.set_pos((800, 600));
    size = 800, 600
    full = '-window' not in args
    gfx.initialize(size, full)
    pygame.display.set_caption("The Witch's Yarn")

    if not '-nosound' in args:
        snd.initialize()

    #pygame.mouse.set_visible(False);
   
    pygame.display.get_surface().fill((0,0,0))
    pygame.display.flip();
    pygame.time.wait(2000);

    #main game loop
   
	#StartFaceEngine
    faceEngn.InitFnF();
    
    firstFace = InitFirstFace();
    firstGameFace = InitFirstGameFace();
    
    #print ("first face obj: ", firstFace);
    
    faceEngn.RunFaces(firstFace);
    #faceEngn.RunFaces(firstGameFace);
    #print("exited RunFaces okay")

    #game is finished at this point, do any
    #uninitialization needed
    if full:
        pygame.display.toggle_fullscreen()
    pygame.quit()



main ([])
#main (["-window"])
#main (["-window", "-nosound"])

